> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a project

> Update a project name, description, or category.



## OpenAPI

````yaml /api-reference/openapi.documented.json put /v1/org/project/{projectId}
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Customer Flow
  - name: Customer Flow Edge Case
  - name: Simulation
  - name: Simulation Persona
  - name: Simulation Environment
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Template
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Autoimprove
  - name: Agent Config
  - name: Knowledge Base
  - name: Config
  - name: Organization Project
  - name: Organization Project Member
  - name: Organization Project API Key
  - name: Organization Config
  - name: CLI Auth
  - name: Me
  - name: Project
  - name: Benchmark
  - name: Health
paths:
  /v1/org/project/{projectId}:
    put:
      tags:
        - Organization Project
      summary: Update a project
      description: Update a project name, description, or category.
      operationId: putV1OrgProjectByProjectId
      parameters:
        - schema:
            type: string
          in: path
          name: projectId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOrgProjectInput'
      responses:
        '200':
          description: The updated project
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/OrgProject'
                required:
                  - data
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Validation error
              example:
                type: validation
                code: invalid_parameter
                message: The request was invalid
                param: email
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Permission error
              example:
                type: forbidden
                code: permission_denied
                message: You do not have permission to access this resource
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
components:
  schemas:
    UpdateOrgProjectInput:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        description:
          type:
            - string
            - 'null'
          maxLength: 2000
        category:
          type: string
          enum:
            - HEALTHCARE
            - FINANCIAL
            - RETAIL
            - HOSPITALITY
            - AUTOMOTIVE
            - GOVERNMENT
            - EDUCATION
            - REAL_ESTATE
            - OTHER
    OrgProject:
      type: object
      properties:
        id:
          type: string
          description: Project id
        organizationId:
          type: string
        name:
          type: string
        slug:
          type: string
          description: URL-safe slug, generated from the name at create time
        description:
          type:
            - string
            - 'null'
        category:
          type:
            - string
            - 'null'
          enum:
            - HEALTHCARE
            - FINANCIAL
            - RETAIL
            - HOSPITALITY
            - AUTOMOTIVE
            - GOVERNMENT
            - EDUCATION
            - REAL_ESTATE
            - OTHER
        dataStorageRegion:
          type: string
          enum:
            - US_EAST_1
            - EU_WEST_1
        retentionDays:
          type:
            - integer
            - 'null'
        retentionMode:
          type: string
          enum:
            - SOFT_DELETE
            - HARD_DELETE
        configKey:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          description: ISO 8601 timestamp
        updatedAt:
          type: string
          description: ISO 8601 timestamp
      required:
        - id
        - organizationId
        - name
        - slug
        - description
        - category
        - dataStorageRegion
        - retentionDays
        - retentionMode
        - configKey
        - createdAt
        - updatedAt
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - payment_required
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````